## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate salsa20

Name:           rust-%{crate}
Version:        0.8.1
Release:        %autorelease
Summary:        Salsa20 Stream Cipher

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/salsa20
Source:         %{crates_source}
# Initial patched metadata
# * relax zeroize dependency (MSRV is irrelevant for Fedora)
Patch0:         salsa20-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Salsa20 Stream Cipher.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+expose-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+expose-core-devel %{_description}

This package contains library source intended for building other packages which
use the "expose-core" feature of the "%{crate}" crate.

%files       -n %{name}+expose-core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hsalsa20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hsalsa20-devel %{_description}

This package contains library source intended for building other packages which
use the "hsalsa20" feature of the "%{crate}" crate.

%files       -n %{name}+hsalsa20-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+xsalsa20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xsalsa20-devel %{_description}

This package contains library source intended for building other packages which
use the "xsalsa20" feature of the "%{crate}" crate.

%files       -n %{name}+xsalsa20-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove executable bit from non-executable source files
find -name "*.rs" -executable -print -exec chmod -x {} +
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Fabio Valentini <decathorpe@gmail.com> 0.8.1-1
- Initial import (#2034224)
